Gets the RatingSummary for the publishers item.
HTTP request
GET https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*/ratingSummary}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the rating summary to retrieve. Format: publishers/{publisher}/items/{item}/ratingSummary |
Request body
The request body must be empty.
Response body
Singleton resource for the rating summary of an item.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "ratingCount": string, "rating": number, "nonEmptyReviewCount": string, "oneStarRatingCount": string, "twoStarRatingCount": string, "threeStarRatingCount": string, "fourStarRatingCount": string, "fiveStarRatingCount": string } |
| Fields | |
|---|---|
name |
Identifier. Item rating summary resource name Format: publishers/{publisher}/items/{item}/ratingSummary |
ratingCount |
The total number of ratings for the item. |
rating |
The rating of the item as shown on the store page, expressed as a double between 1 and 5. |
nonEmptyReviewCount |
The number of ratings with a non-empty review text. |
oneStarRatingCount |
The number of one star ratings. |
twoStarRatingCount |
The number of two star ratings. |
threeStarRatingCount |
The number of three star ratings. |
fourStarRatingCount |
The number of four star ratings. |
fiveStarRatingCount |
The number of five star ratings. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chromewebstorehttps://www.googleapis.com/auth/chromewebstore.readonly